curl --request GET \
--url https://api.blaxel.ai/v0/volumes \
--header 'Authorization: Bearer <token>'[
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "us-pdx-1",
"size": 1024,
"template": "mytemplate:latest"
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"state": {
"attachedTo": "sandbox:my-sandbox"
},
"status": "<string>",
"terminatedAt": "<string>"
}
]Returns all persistent storage volumes in the workspace. Volumes can be attached to sandboxes for durable file storage that persists across sessions and sandbox deletions.
curl --request GET \
--url https://api.blaxel.ai/v0/volumes \
--header 'Authorization: Bearer <token>'[
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "us-pdx-1",
"size": 1024,
"template": "mytemplate:latest"
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"state": {
"attachedTo": "sandbox:my-sandbox"
},
"status": "<string>",
"terminatedAt": "<string>"
}
]OAuth2 authentication with JWT tokens
successful operation
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Immutable volume configuration set at creation time (size and region cannot be changed after creation)
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Current runtime state of the volume including attachment status
Show child attributes
Volume status computed from events
Timestamp when the volume was marked for termination
Was this page helpful?